%define lib_major	10
%define lib_name	%mklibname input %{lib_major}
%define develname	%mklibname -d input

Name:		libinput
Version:	1.7.0
Release:	%mkrel 1
Summary:	Input device library
License:	LGPLv2
Group:		System/Libraries
URL:		http://www.freedesktop.org/wiki/Software/libinput/
Source0:	http://www.freedesktop.org/software/libinput/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(mtdev) >= 1.1.0
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(libevdev) >= 0.4
BuildRequires:	pkgconfig(libwacom)

%description
libinput is a library that handles input devices for display servers and other
applications that need to directly deal with input devices.

It provides device detection, device handling, input device event
processing and abstraction so minimize the amount of custom input
code the user of libinput need to provide the common set of
functionality that users expect.

%package -n %{lib_name}
Summary:	Libraries for libinput
Group:		System/Libraries
Requires:	libinput-udev

%description -n %{lib_name}
libinput is a library that handles input devices for display servers and other
applications that need to directly deal with input devices.

It provides device detection, device handling, input device event processing
and abstraction so minimize the amount of custom input code the user of
libinput need to provide the common set of functionality that users expect.


%package -n %{develname}
Summary:        Development files for %{name}
Group:		Development/X11
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}

%description -n %{develname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%package tools
Summary:	Tools for libinput
Group:		System/Base

%description tools
libinput is a library that handles input devices for display servers and other
applications that need to directly deal with input devices.

It provides device detection, device handling, input device event processing
and abstraction so minimize the amount of custom input code the user of
libinput need to provide the common set of functionality that users expect.

This package contains the libinput tools.

%package udev
Summary:	Tools for libinput
Group:		System/Base

%description udev
libinput is a library that handles input devices for display servers and
other applications that need to directly deal with input devices.

It provides device detection, device handling, input device event
processing and abstraction so minimize the amount of custom input
code the user of libinput need to provide the common set of
functionality that users expect.

This package contains the udev rules for libinput.

%prep
%autosetup -p1

%build
%configure2_5x \
	--with-udev-dir=/usr/lib/udev/ \
	--disable-static

%make

%install
%make_install

rm -f %buildroot%_libdir/*.la

%post udev
/usr/bin/udevadm hwdb --update  >/dev/null 2>&1 || :

%files tools
%{_bindir}/*
%{_mandir}/*/*

%files udev
%{_udevrulesdir}/*
/usr/lib/udev/hwdb.d/90-libinput-model-quirks.hwdb
/usr/lib/udev/libinput-device-group
/usr/lib/udev/libinput-model-quirks

%files -n %{lib_name}
%{_libdir}/*.so.%{lib_major}{,.*}

%files -n %{develname}
%doc README.txt COPYING
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Thu Mar 23 2017 tv <tv> 1.7.0-1.mga6
+ Revision: 1094598
- new release

* Mon Mar 13 2017 tv <tv> 1.6.902-1.mga6
+ Revision: 1092332
- 1.7rc2
- 1.7 RC1

* Tue Feb 14 2017 tv <tv> 1.6.1-1.mga6
+ Revision: 1086167
- new version

* Fri Jan 20 2017 tv <tv> 1.6.0-1.mga6
+ Revision: 1082502
- new release

* Thu Jan 19 2017 tv <tv> 1.5.902-1.mga6
+ Revision: 1082446
- 1.6rc2

* Fri Dec 09 2016 tv <tv> 1.5.3-1.mga6
+ Revision: 1073775
- new release

* Fri Nov 25 2016 tv <tv> 1.5.2-1.mga6
+ Revision: 1070129
- new release

* Tue Nov 15 2016 tv <tv> 1.5.1-1.mga6
+ Revision: 1067480
- new release

* Wed Sep 14 2016 tv <tv> 1.5.0-1.mga6
+ Revision: 1052945
- new version

* Wed Aug 31 2016 tv <tv> 1.4.2-1.mga6
+ Revision: 1049652
- new release

* Fri Aug 05 2016 tv <tv> 1.4.1-1.mga6
+ Revision: 1044662
- new release

* Wed Jul 20 2016 tmb <tmb> 1.4.0-1.mga6
+ Revision: 1042911
- 1.4.0 (improved tablet and touchpad support)

* Fri Jun 24 2016 tv <tv> 1.3.3-1.mga6
+ Revision: 1037465
- drop now unnecessary patch
- new release

* Thu Jun 16 2016 tv <tv> 1.3.2-1.mga6
+ Revision: 1021802
- new release

* Wed Jun 01 2016 tv <tv> 1.3.1-3.mga6
+ Revision: 1019673
- make the %%post usefull by putting it on the right subpkg

* Tue May 31 2016 tv <tv> 1.3.1-2.mga6
+ Revision: 1019527
- update the global compiled file /etc/udev/hwdb.bin

* Mon May 30 2016 tv <tv> 1.3.1-1.mga6
+ Revision: 1019373
- new release

* Fri May 20 2016 tv <tv> 1.3.0-3.mga6
+ Revision: 1017091
- stop pointer jitter on the Dell E5420, E530 and Lenovo Yoga 2

* Thu May 19 2016 tv <tv> 1.3.0-2.mga6
+ Revision: 1016886
- Disable negative pressure transition on non-synaptics pads to avoid
  jerky movement (rhbz#1335249)

* Tue May 10 2016 tv <tv> 1.3.0-1.mga6
+ Revision: 1011934
- new release

* Wed May 04 2016 tv <tv> 1.2.903-1.mga6
+ Revision: 1009360
- 1.3 RC3

* Fri Apr 22 2016 tv <tv> 1.2.902-1.mga6
+ Revision: 1004876
- use %%make_install
- fix devel description
- 1.3 RC2

* Mon Mar 21 2016 fwang <fwang> 1.2.2-1.mga6
+ Revision: 993464
- 1.2.2

* Wed Feb 24 2016 tv <tv> 1.2.0-1.mga6
+ Revision: 978594
- new release

* Wed Feb 17 2016 tv <tv> 1.1.902-1.mga6
+ Revision: 963120
- 1.1.902

* Fri Jan 29 2016 tv <tv> 1.1.901-1.mga6
+ Revision: 928639
- BR pkgconfig(libwacom)
- new release
- new release

* Mon Jan 25 2016 tv <tv> 1.1.5-1.mga6
+ Revision: 927415
- new release

* Mon Oct 26 2015 tv <tv> 1.1.0-1.mga6
+ Revision: 895612
- new release

* Wed Oct 21 2015 tv <tv> 1.0.2-1.mga6
+ Revision: 893799
- new release

* Fri Sep 04 2015 tv <tv> 1.0.1-1.mga6
+ Revision: 872692
- new release

* Wed Aug 26 2015 tv <tv> 1.0.0-1.mga6
+ Revision: 869453
- new release

* Tue Aug 04 2015 tv <tv> 0.21.0-1.mga6
+ Revision: 861073
- adjust filelist
- new release

* Wed Jul 22 2015 ovitters <ovitters> 0.20.0-1.mga6
+ Revision: 856172
- new version 0.20.0

* Wed Jun 24 2015 tv <tv> 0.18.0-3.mga6
+ Revision: 842419
- adjust file list
- fix udev rules location

* Wed Jun 24 2015 tv <tv> 0.18.0-2.mga6
+ Revision: 842319
- adjust file list
- prevent udev rules to land in lib64

* Wed Jun 24 2015 tv <tv> 0.18.0-1.mga6
+ Revision: 841855
- new release

* Sat Jun 20 2015 tv <tv> 0.17.0-1.mga6
+ Revision: 835787
- new release

* Sat Jun 20 2015 tv <tv> 0.16.0-1.mga6
+ Revision: 835778
- new release

* Tue Feb 17 2015 wally <wally> 0.6.0-4.mga5
+ Revision: 815319
- fix summary and rpm group for devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-3.mga5
+ Revision: 745122
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-2.mga5
+ Revision: 681538
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 tv <tv> 0.6.0-1.mga5
+ Revision: 674970
- new release

* Wed Jul 23 2014 tv <tv> 0.5.0-1.mga5
+ Revision: 655915
- new release

* Thu Jun 26 2014 tv <tv> 0.4.0-1.mga5
+ Revision: 639915
- bump major
- new release

* Mon May 26 2014 tv <tv> 0.2.0-1.mga5
+ Revision: 626565
- new release

  + fwang <fwang>
    - fix summary

* Tue Mar 04 2014 fwang <fwang> 0.1.0-1.mga5
+ Revision: 599299
- imported package libinput

